import { IMutationObserver } from '../../types/global/IMutationObserver'
import { PositionObserverCallback } from '../../types/global/IPositionObserver'

export class NoopMutationObserver implements IMutationObserver {
  constructor(callback: PositionObserverCallback) {}

  public observe(element: HTMLElement): void {}

  disconnect() {}
}
